# str_getcsv

(PHP 5 >= 5.3.0, PHP 7)

str_getcsv — Parse a CSV string into an array

### Description

str_getcsv ( string `$input` [, string `$delimiter` = "," [, string `$enclosure` = '"' [, string `$escape` = "\\" ]]] ) : array

Parses a string input for fields in CSV format and returns an array containing the fields read.

> Note:

> The locale settings are taken into account by this function. If LC_CTYPE is e.g. en_US.UTF-8, strings in one-byte encodings may be read wrongly by this function.

### Parameters

`input`

  The string to parse.

`delimiter`

  Set the field delimiter (one character only).

`enclosure`

  Set the field enclosure character (one character only).

`escape`

  Set the escape character (at most one character). Defaults as a backslash (\) An empty string ("") disables the proprietary escape mechanism.

  > Note: Usually an `enclosure` character is escaped inside a field by doubling it; however, the `escape` character can be used as an alternative. So for the default parameter values "" and \" have the same meaning. Other than allowing to escape the `enclosure` character the `escape` character has no special meaning; it isn't even meant to escape itself.

### Return Values

Returns an indexed array containing the fields read.

### Changelog

Version | Description
--- | ---
7.4.0 | The `escape` parameter now interprets an empty string as signal to disable the proprietary escape mechanism. Formerly, an empty string was treated like the default parameter value.

### See Also

- fgetcsv() - Gets line from file pointer and parse for CSV fields